'use strict';

const {WikidotPage} = require('../models');
const transformRawMarkup = require('../components/wikidot-markup');

const WIKI_NAME = 'scp-ru';

module.exports = async (req, res) => {
    const name = req.params[0];
    const page = await WikidotPage
        .query()
        .where({wikiName: WIKI_NAME, name})
        .first();
    // TODO Catch page not found errors and render 404 page
    res.render('page', {
        pageTitle: page.title,
        pageBody: transformRawMarkup(page.html)
    });
};
